Skip to main content
Resource Center/Network Service/Network Service Operations/EIP Operations
GETEIP OperationsSince 0.6SynchronousAuth Required

QueryEip

QueryEip

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • vmNicUuidStringRequired

      The VM NIC UUID.

    • vipUuidStringRequired

      The VIP UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateStringRequired

      当前状态。

    • vipIpStringRequired

      No description provided.

    • guestIpStringRequired

      No description provided.

Endpoint

GET/zstack/v1/eips

/zstack/v1/eips

Operation ID

QueryEip

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/eips' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "Test-EIP", "vmNicUuid": "67dfb04014b64489addb9ff7db5c7eb8", "vipUuid": "e5bafce543e044419a8ffad7d416201e" } ] }

Change History

This API has no change history records yet.

View all change history